develooper Front page | perl.perl5.porters | Postings from September 2008

Re: Perl-5.8.6 or Perl-5.8.5 Install/Build process on AIX 5.3 Makeproblem make: 1254-002 Cannot find a rule to create target <command-line>from dependencies. Stop.

Thread Previous | Thread Next
From:
Andy Dougherty
Date:
September 1, 2008 08:14
Subject:
Re: Perl-5.8.6 or Perl-5.8.5 Install/Build process on AIX 5.3 Makeproblem make: 1254-002 Cannot find a rule to create target <command-line>from dependencies. Stop.
Message ID:
Pine.LNX.4.64.0809011111370.2143@fractal.phys.lafayette.edu
On Mon, 1 Sep 2008, Mohammed Arshad wrote:

> Hello all,
> 
>                 I am trying to build perl-5.8.6.tar.gz DBI-1.50.tar.gz and
> DBD-Oracle-1.16.tar.gz on AIX 5.3.0.0 downloaded from cpan.org I am trying
> to build the software from the source and running into issues. 

> # make
> make: 1254-002 Cannot find a rule to create target <command-line> from
> dependencies.
> Stop.

This problem is fixed in the current perl version 5.10.0.  However, it's 
also an easy manual fix:  Edit the file 'makefile' and just manually 
delete all the lines that contain the string '<command-line>'.  Do the 
same for the file x2p/makefile as well.


> I am Stuck at this step... after perl 5.8.6 success I want to build DBI-1.50
> and DBD-Oracle-1.16 on AIX 5.3 

Version 5.8.6 is nearly 4 years old.  If you must stick with the 5.8.x 
series, I strongly encourage you to try 5.8.8, which is only 2 years old.

-- 
    Andy Dougherty		doughera@lafayette.edu

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About